### Hierarchy

- Emitter
  - Tracking

### Implements

- IEmitter
- ITracking

## Index

### Constructors

- constructor

### Properties

- _enabled
- _interval
- _length
- _utils
- history
- listeners
- onListeners
- storage

### Accessors

- ERROR
- enabled

### Methods

- addHistory
- cancel
- compressData
- createInstance
- emit
- getHistory
- getHistoryForCell
- off
- on
- register
- removeEvent
- removeEvents
- reset
- restore
- totalChanges
- unRegister

## Constructors

### constructor

- new Tracking(storage: any): Tracking

- Overrides Emitter.constructor

  - Defined in Tracking.ts:47

  #### Parameters

  - ##### storage: any

  #### Returns Tracking

## Properties

### Private _enabled

_enabled: boolean = false

- Defined in Tracking.ts:44

### Private _interval

_interval: any

- Defined in Tracking.ts:45

### Private _length

_length: number = 0

- Defined in Tracking.ts:46

### Private _utils

_utils: IUtils

- Defined in Tracking.ts:47

### history

history: ITrackingHistory

- Defined in Tracking.ts:41

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### Private storage

storage: any

- Defined in Tracking.ts:49

## Accessors

### ERROR

- get ERROR(): string

- - Defined in Tracking.ts:37

  #### Returns string

### enabled

- get enabled(): boolean
- set enabled(value: boolean): void

- - Defined in Tracking.ts:58

  #### Returns boolean

- - Defined in Tracking.ts:62

  #### Parameters

  - ##### value: boolean

  #### Returns void

## Methods

### addHistory

- addHistory(pageId: number, data: ITrackingData, first?: boolean): void

- - Defined in Tracking.ts:88

  #### Parameters

  - ##### pageId: number

  - ##### data: ITrackingData

  - ##### Default value first: boolean = false

  #### Returns void

### cancel

- cancel(): void

- Implementation of ITracking.cancel

  - Defined in Tracking.ts:148

  #### Returns void

### Private compressData

- compressData(data: ITrackingData, first?: boolean): ITrackingData

- - Defined in Tracking.ts:166

  #### Parameters

  - ##### data: ITrackingData

  - ##### Default value first: boolean = false

  #### Returns ITrackingData

### createInstance

- createInstance(): ITracking

- Implementation of ITracking.createInstance

  - Defined in Tracking.ts:54

  #### Returns ITracking

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### getHistory

- getHistory(pageId: number): ITrackingData[]

- Implementation of ITracking.getHistory

  - Defined in Tracking.ts:101

  #### Parameters

  - ##### pageId: number

  #### Returns ITrackingData[]

### getHistoryForCell

- getHistoryForCell(pageId: number, cellRow: number, cellCol: number): any

- Implementation of ITracking.getHistoryForCell

  - Defined in Tracking.ts:108

  #### Parameters

  - ##### pageId: number

  - ##### cellRow: number

  - ##### cellCol: number

  #### Returns any

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of ITracking.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of ITracking.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### reset

- reset(): any

- Implementation of ITracking.reset

  - Defined in Tracking.ts:143

  #### Returns any

### restore

- restore(): any

- Implementation of ITracking.restore

  - Defined in Tracking.ts:136

  #### Returns any

### Private totalChanges

- totalChanges(): number

- - Defined in Tracking.ts:155

  #### Returns number

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

Generated using TypeDoc